Bug 821094 - (scamper) Review Request: scamper - A network measurement tool
Review Request: scamper - A network measurement tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-05-11 17:02 EDT by Fabian Affolter
Modified: 2014-09-25 08:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-05-11 17:02:42 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/scamper.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/scamper-0-0.1.20111202a.fc16.src.rpm

Project URL: http://www.wand.net.nz/scamper

Description:
scamper is a program that is able to conduct Internet measurement tasks to
large numbers of IPv4 and IPv6 addresses, in parallel, to fill a specified
packets-per-second rate. Currently, it supports the well-known ping and
traceroute techniques, as well as radargun, ally, mercator, sting, and parts
of tbit.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4071691

rpmlint output:
[fab@laptop017 SRPMS]$ rpmlint scamper-*
scamper.src: W: spelling-error %description -l en_US traceroute -> trace route, trace-route, outrace
scamper.src: W: spelling-error %description -l en_US radargun -> radar gun, radar-gun, undergrad
scamper.src: W: spelling-error %description -l en_US mercator -> Mercator
scamper.src: W: spelling-error %description -l en_US tbit -> tit, bit, obit
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

[fab@laptop017 x86_64]$ rpmlint scamper-*
scamper.x86_64: W: spelling-error %description -l en_US traceroute -> trace route, trace-route, outrace
scamper.x86_64: W: spelling-error %description -l en_US radargun -> radar gun, radar-gun, undergrad
scamper.x86_64: W: spelling-error %description -l en_US mercator -> Mercator
scamper.x86_64: W: spelling-error %description -l en_US tbit -> tit, bit, obit
scamper.x86_64: W: no-manual-page-for-binary sc_wartsfix
scamper-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 6 warnings.
Comment 1 Volker Fröhlich 2012-05-27 18:40:53 EDT
The description of the devel package mentions "Static libraries", which is not correct. It also doesn't contain documentation, as advertised.

Please use the name macro in a consistent way.

The base package must be required in a architecture dependent way, i. e. using ?_isa: http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Please leave a comment on how to obtain the source tarball.

Please ask upstream to provide a license file, if you haven't already.
Comment 2 Fabian Affolter 2012-05-29 11:41:24 EDT
Thanks Volker.

(In reply to comment #1)
> The description of the devel package mentions "Static libraries", which is
> not correct. It also doesn't contain documentation, as advertised.

I took a standard text, changed. 

> Please use the name macro in a consistent way.

Added macro for version, too.

> The base package must be required in a architecture dependent way, i. e.
> using ?_isa:
> http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Missed that, seams to be new in the guidelines.

> Please leave a comment on how to obtain the source tarball.

The tarball is provided by upstream.

> Please ask upstream to provide a license file, if you haven't already.

I asked upstream about the integration of the COPYING.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/scamper.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/scamper-0-0.2.20111202b.fc16.src.rpm
Comment 3 Volker Fröhlich 2012-06-03 11:23:31 EDT
The build fails in Rawhide:

In file included from ../utils.c:62:0:
/usr/include/sys/sysctl.h:63:25: fatal error: bits/sysctl.h: No such file or directory

A new snapshot is available, by the way.
Comment 4 Volker Fröhlich 2012-07-22 16:08:01 EDT
Still interested?
Comment 5 Fabian Affolter 2012-08-08 04:59:50 EDT
(In reply to comment #3)
> The build fails in Rawhide:
> 
> In file included from ../utils.c:62:0:
> /usr/include/sys/sysctl.h:63:25: fatal error: bits/sysctl.h: No such file or
> directory

http://koji.fedoraproject.org/koji/taskinfo?taskID=4367969

> A new snapshot is available, by the way.

Thanks for the hint.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/scamper.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/scamper-0-0.3.20111202c.fc17.src.rpm
Comment 6 Volker Fröhlich 2012-08-08 17:26:28 EDT
==APPROVED==

By the way, I recently registered most of my packaged libraries on http://upstream-tracker.org, which is very handy.

The FSF address is still wrong in the source files and should be corrected.

For the sake of consistency, you could use the name macro in Source one more time and also in the description, since you're doing that for the devel sub-package.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "*No copyright* GENERATED FILE", "GPL (with incorrect
     FSF address)", "*No copyright* UNKNOWN", "GPL (v2 or later)" For detailed
     output of licensecheck see file:
     /home/makerpm/821094-scamper/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[-]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.

Played around a bit -- seems to work.

[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: scamper-0-0.3.20111202c.fc16.x86_64.rpm
          scamper-debuginfo-0-0.3.20111202c.fc16.x86_64.rpm
          scamper-0-0.3.20111202c.fc16.src.rpm
          scamper-devel-0-0.3.20111202c.fc16.x86_64.rpm
scamper.x86_64: W: spelling-error %description -l en_US traceroute -> trace route, trace-route, outrace
scamper.x86_64: W: spelling-error %description -l en_US radargun -> radar gun, radar-gun, undergrad
scamper.x86_64: W: spelling-error %description -l en_US mercator -> Mercator
scamper.x86_64: W: spelling-error %description -l en_US tbit -> tit, bit, obit
scamper.x86_64: W: no-manual-page-for-binary sc_wartsfix
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_debug.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_debug.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_if.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_if.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_getsrc.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_queue.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_getsrc.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_queue.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_cmdline.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_linepoll.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_linepoll.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_control.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_control.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_options.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_options.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tbit/scamper_tbit_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmpext.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tbit/scamper_tbit_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_tracediff/sc_tracediff.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_privsep.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_privsep.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_outfiles.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_firewall.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_firewall.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_tsps.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_probe.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_warts2text/sc_warts2text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_tsps.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_outfiles.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_list.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmpext.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_list.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_probe.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_cmdline.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_dlhdr.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_task.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_dlhdr.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_task.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_rtsock.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_wartscat/sc_wartscat.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_file.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp_resp.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp_resp.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_file.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_analysis_dump/sc_analysis_dump.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_control.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_arts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_control.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_wartsfix/sc_wartsfix.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_cyclemon.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_sources.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_ally/sc_ally.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_sources.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_wartsdump/sc_wartsdump.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_warts2pcap/sc_warts2pcap.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_dl.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr2mac.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr2mac.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_writebuf.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_writebuf.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_cyclemon.c
scamper.src: W: spelling-error %description -l en_US traceroute -> trace route, trace-route, outrace
scamper.src: W: spelling-error %description -l en_US radargun -> radar gun, radar-gun, undergrad
scamper.src: W: spelling-error %description -l en_US mercator -> Mercator
scamper.src: W: spelling-error %description -l en_US tbit -> tit, bit, obit
scamper-devel.x86_64: W: no-documentation
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_addr.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_trace.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_dealias.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_sting.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_neighbourdisc.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_list.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_sniff.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_ping.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_tracelb.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_file.h
scamper-devel.x86_64: E: incorrect-fsf-address /usr/include/scamper_icmpext.h
4 packages and 0 specfiles checked; 145 errors, 10 warnings.

Nothing important here, but the FSF address should be corrected.

Rpmlint (installed packages)
----------------------------
# rpmlint scamper-debuginfo
scamper-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_debug.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_debug.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_if.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_if.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_getsrc.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_queue.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_getsrc.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_queue.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_cmdline.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_linepoll.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_linepoll.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_control.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_control.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_options.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_options.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tbit/scamper_tbit_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmpext.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tbit/scamper_tbit_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_tracediff/sc_tracediff.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_privsep.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_privsep.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_outfiles.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_firewall.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_firewall.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_tsps.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_probe.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_warts2text/sc_warts2text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_tsps.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_outfiles.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_list.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmpext.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_list.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_probe.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp4.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_cmdline.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_dlhdr.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_task.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_dlhdr.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_tcp6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_task.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp4.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_rtsock.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_wartscat/sc_wartscat.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_file.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp_resp.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_udp6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp_resp.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_source_file.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_analysis_dump/sc_analysis_dump.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_control.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file_arts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_control.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_wartsfix/sc_wartsfix.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sniff/scamper_sniff_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_cyclemon.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_sources.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_ally/sc_ally.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_sources.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_wartsdump/sc_wartsdump.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/utils/sc_warts2pcap/sc_warts2pcap.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_dl.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr2mac.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_addr2mac.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/ping/scamper_ping_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_writebuf.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_file.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_icmp6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip6.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_ip6.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/neighbourdisc/scamper_neighbourdisc_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_do.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/sting/scamper_sting.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_do.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/trace/scamper_trace_warts.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/dealias/scamper_dealias_text.c
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_writebuf.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/tracelb/scamper_tracelb_warts.h
scamper-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/scamper-cvs-20111202c/scamper/scamper_cyclemon.c
1 packages and 0 specfiles checked; 134 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
scamper-0-0.3.20111202c.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libc.so.6()(64bit)  
    libm.so.6()(64bit)  
    libscamperfile.so.0()(64bit)  
    rtld(GNU_HASH)  

scamper-debuginfo-0-0.3.20111202c.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    

scamper-devel-0-0.3.20111202c.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libscamperfile.so.0()(64bit)  
    scamper(x86-64) = 0-0.3.20111202c.fc16

Provides
--------
scamper-0-0.3.20111202c.fc16.x86_64.rpm:
    
    libscamperfile.so.0()(64bit)  
    scamper = 0-0.3.20111202c.fc16
    scamper(x86-64) = 0-0.3.20111202c.fc16

scamper-debuginfo-0-0.3.20111202c.fc16.x86_64.rpm:
    
    scamper-debuginfo = 0-0.3.20111202c.fc16
    scamper-debuginfo(x86-64) = 0-0.3.20111202c.fc16

scamper-devel-0-0.3.20111202c.fc16.x86_64.rpm:
    
    scamper-devel = 0-0.3.20111202c.fc16
    scamper-devel(x86-64) = 0-0.3.20111202c.fc16

MD5-sum check
-------------
http://www.wand.net.nz/scamper/scamper-cvs-20111202c.tar.gz :
  MD5SUM this package     : 7cac731d7ecda6ec0e434ea8bbf4c7ac
  MD5SUM upstream package : 7cac731d7ecda6ec0e434ea8bbf4c7ac


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 821094
External plugins:
Comment 7 Fabian Affolter 2012-08-29 03:45:05 EDT
Thanks for the review, Volker.
Comment 8 Fabian Affolter 2012-08-29 03:48:49 EDT
New Package SCM Request
=======================
Package Name: scamper
Short Description: A network measurement tool
Owners: fab
Branches: f18 f17 f16
InitialCC:
Comment 9 Jon Ciesla 2012-08-29 10:53:55 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-09-02 10:22:25 EDT
scamper-0-0.3.20111202c.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/scamper-0-0.3.20111202c.fc17
Comment 11 Fedora Update System 2012-09-02 10:22:38 EDT
scamper-0-0.3.20111202c.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/scamper-0-0.3.20111202c.fc16
Comment 12 Fedora Update System 2012-09-02 10:22:48 EDT
scamper-0-0.3.20111202c.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scamper-0-0.3.20111202c.fc18
Comment 13 Fedora Update System 2012-09-02 15:37:01 EDT
scamper-0-0.3.20111202c.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2012-09-17 13:50:10 EDT
scamper-0-0.3.20111202c.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-09-17 14:04:33 EDT
scamper-0-0.3.20111202c.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-09-17 18:17:34 EDT
scamper-0-0.3.20111202c.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fabian Affolter 2014-09-24 17:16:59 EDT
Package Change Request
======================
Package Name: scamper
New Branches: el6 epel7
Owners: fab
InitialCC:
Comment 18 Jon Ciesla 2014-09-25 08:09:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.